org.apache.lucene.queries.function.valuesource

## Class ByteFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.ByteFieldSource

-     public class ByteFieldSource
      extends FieldCacheSource

  Obtains int field values from the `FieldCache` using `getInts()` and makes those values available as other numeric types, casting as needed. *

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `cache, field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteFieldSource(String field)`
    `ByteFieldSource(String field, FieldCache.ByteParser parser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` description of field, used in explain()
    `boolean` | `equals(Object o)`
    `FunctionValues` | `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `getField, getFieldCache`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteFieldSource

          public ByteFieldSource(String field)

    - #### ByteFieldSource

          public ByteFieldSource(String field,
                         FieldCache.ByteParser parser)

  - ### Method Detail

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Overrides:
        `description` in class `FieldCacheSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                 AtomicReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight()
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `FieldCacheSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FieldCacheSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.